
# Fedora Review:
# http://bugzilla.redhat.com/204954

Summary: 	Open Fingerprint Architecture library	
Name:		libofa	
Version:	0.9.3	
Release:	8%{?dist}

License:	GPL
Source0:	http://www.musicdns.org/themes/musicdns_org/downloads/libofa-%{version}.tar.gz
Url:		http://www.musicdns.org/
Group:		System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: libofa-0.9.3-gcc41.patch
# Use Libs.private
Patch2: libofa-0.9.3-pkgconfig.patch

BuildRequires:	findutils
BuildRequires:	pkgconfig sed
BuildRequires:	fftw3-devel 
# these are used only in the examples.
BuildRequires:	curl-devel
BuildRequires:	expat-devel

%description
Currently, MusicDNS and the Open Fingerprint Architecture are being used to:
* identify duplicate tracks, even when the metadata is different, MusicIP
  identifies the master recording.
* fix metadata
* find out more about tracks by connecting to MusicBrainz

%package devel
Summary: Summary: Development headers and libraries for %{name}	
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
# removed by patch2
#Requires: expat-devel fftw3-devel 
%description devel
%{summary}.


%prep
%setup -q

find . -name README -or -name \*.cpp -or -name \*.h | xargs --no-run-if-empty sed -i -e 's|\r||'  ||:

%patch1 -p1 -b .gcc41
%patch2 -p1 -b .pkgconfig

## pkg-config < 0.20.0 (apparently?) doesn't grok URL
#if "%(pkg-config --version 2>/dev/null)" < "0.20.0"
%if "%{?fedora}" < "4" || "%{?rhel}" < "5"
sed -i -e "s|^URL:|#URL:|" *.pc.in ||:
%endif


%build
%configure --disable-static

make %{?smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la

# prepare docs
make -C examples clean
rm -rf examples/.deps


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root,-)
%doc AUTHORS README COPYING
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc examples/
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so


%changelog
* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-8
- better pkgconfig patch, using Libs.private

* Tue Sep 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-7
- fix rpmdoc handling

* Tue Sep 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-6
- de-DOS'ify .cpp, .h files too

* Tue Sep 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-5
- use sed instead of dos2unix
- omit examples/.deps

* Tue Sep 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-4
- remove extrenous entries from libofa.pc
- dos2unix README
- fix url in Source0
- -devel: %%doc examples/

* Mon Sep 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-3
- use gcc41 patch extracted from debian's patchset

* Mon Sep 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-2
- gcc41 patch

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.9.3-1
- first try
